package com.tuoheng.admin.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.admin.entity.FlightData;
import com.tuoheng.admin.query.FlightDataQuery;
import com.tuoheng.admin.service.IFlightDataService;
import com.tuoheng.common.core.common.OperationEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
@RestController
@RequestMapping("/flightData")
public class FlightDataController {

    @Autowired
    private IFlightDataService flightDataService;

    /**
     * 获取任务巡检坐标列表
     *
     * @param flightDataQuery 查询条件
     * @return
     */
    @GetMapping("/getFlightDataList")
    public IPage<FlightData> getFlightDataList(FlightDataQuery flightDataQuery) {
        return flightDataService.getFlightDataList(flightDataQuery);
    }

    /**
     * 飞行遥测数据入库
     * @param entity
     * @return
     */
    @PostMapping("/addCallback")
    public OperationEnum addCallback(@RequestBody FlightData entity){
        flightDataService.addCallback(entity);
        return OperationEnum.OPERATION_SUCCESS;
    }



}
