package com.tuoheng.admin.controller;

import com.tuoheng.admin.query.InspectionFileQuery;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListByInspectionIdRequest;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListRequest;
import com.tuoheng.admin.service.IInspectionFileService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/11/29
 */
@RestController
@RequestMapping("/inspectionFile")
public class InspectionFileController {

    @Autowired
    private IInspectionFileService iInspectionFileService;

    /**
     * 问题类型和任务名称
     * @return
     */
    @GetMapping("/getQuestionList")
    public JsonResult getQuestionList(){
        return iInspectionFileService.getQuestionList();
    }

    /**
     * 根据登录人角色获取该部门及子部门下问题列表
     * @param query
     * @return
     */
    @GetMapping("/listByDeptUserType")
    public JsonResult getListByDeptUserType(InspectionFileQuery query){
        return iInspectionFileService.getListByDeptUserType(query);
    }

    /**
     * 查询任务分页列表
     *
     * @return
     */
    @GetMapping("/page/list")
    public JsonResult getPageList(@RequestBody QueryInspectionFilePageListRequest request){
        return iInspectionFileService.getPageList(request);
    }

    /**
     * 根据任务ID查询任务分页列表
     *
     * @return
     */
    @GetMapping("/page/list/by/inspectionid")
    public JsonResult getPageListByInspectionId(QueryInspectionFilePageListByInspectionIdRequest request){
        return iInspectionFileService.getPageListByInspectionId(request);
    }

    /**
     * 任务问题忽略
     *
     * @return
     */
    @PostMapping("/confirm")
    public JsonResult confirm(@RequestParam("idList") List<String> idList){
        return iInspectionFileService.confirm(idList);
    }

    /**
     * 任务问题忽略
     *
     * @return
     */
    @PostMapping("/ignore")
    public JsonResult ignore(@RequestParam("idList") List<String> idList){
        return iInspectionFileService.ignore(idList);
    }

}
