package com.tuoheng.admin.service;

import com.tuoheng.admin.query.InspectionFileQuery;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListByInspectionIdRequest;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListRequest;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/11/29
 */
public interface IInspectionFileService {
    JsonResult getQuestionList();

    JsonResult getListByDeptUserType(InspectionFileQuery query);

    /**
     *
     * 根据任务Id查询任务分页列表
     *
     * @param request
     * @return
     */
    JsonResult getPageListByInspectionId(QueryInspectionFilePageListByInspectionIdRequest request);

    /**
     *
     * 查询任务分页列表
     *
     * @param request
     * @return
     */
    JsonResult getPageList(QueryInspectionFilePageListRequest request);

    /**
     *
     * 确认
     *
     * @param idList
     * @return
     */
    JsonResult confirm(List<String> idList);

    /**
     *
     * 忽略
     *
     * @param idList
     * @return
     */
    JsonResult ignore(List<String> idList);


}
